# DatabaseResult methods

## countRows

**Returns:** The number of rows in the results of the query.

## freeResult

Frees the memory associated to the results of the query. This causes results to no longer be available.

## getRow

Returns the current row in the results of the query, and advances to the next row.

**Returns:** A [DatabaseRow](/version-0.x/reference/core-classes/databaserow.md) object, or false i no more rows are available.

## isAny

**Returns:** True if there were any results, false if not.

## reset

Sets the row pointer to the beginning of the results, so the next retrieved row will be the first.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://cherrycake.tin.cat/version-0.x/reference/core-classes/databaseresult/databaseresult-methods.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
